1

I am unable to connect to wifi - the option of wireless connectivity is not shown; there is the only the option of ethernet. I am using Ubuntu version 16.04.

$ lspci -knn | grep Net -A2
05:00.0 Network controller [0280]: Intel Corporation Device [8086:24fb] (rev 10)
    DeviceName: Intel Dual BandWireless-AC 3168 802.11 ac 1x1 WiFi + BT 4.0 Combo Adapter
    Subsystem: Intel Corporation Device [8086:2110] 

$ ifconfig wlan0
wlan0: error fetching interface information: Device not found
$ modprobe iwl3945
modprobe: ERROR: could not insert 'iwl3945': Operation not permitted
$ ifconfig wlan0 up
wlan0: ERROR while getting interface flags: No such device

the screen shot of the problem wifi option is not there top right corner

  • 1
    Please edit your question and add output of lspci -knn | grep Net -A2 terminal command. – Pilot6 Nov 10 '16 at 20:37
  • #lspci -knn | grep Net -A2 05:00.0 Network controller [0280]: Intel Corporation Device [8086:24fb] (rev 10) DeviceName: Intel Dual BandWireless-AC 3168 802.11 ac 1x1 WiFi + BT 4.0 Combo Adapter Subsystem: Intel Corporation Device [8086:2110] – Ambuj Dhakad Nov 10 '16 at 20:58
  • The command you are looking for is: sudo modprobe iwlwifi – chili555 Nov 10 '16 at 21:14
  • @chili555 iwlwifi does not support the device on the 4.4 kernel. – Pilot6 Nov 10 '16 at 21:22
  • @AmbujDhakad Please also add output of uname -a; dmesg | grep iwl. – Pilot6 Nov 10 '16 at 21:56
1

This adapter is supported since kernel 4.6.

The kernel version in Ubuntu 16.04 is 4.4.

You can install kernel 4.8 to Ubuntu 16.04 this way:

sudo add-apt-repository ppa:canonical-kernel-team/ppa 
sudo apt update
sudo apt install linux-generic-lts-yakkety
sudo add-apt-repository -r ppa:canonical-kernel-team/ppa

Reboot after you do it.

After the linux-generic-lts-yakkety package appears in main Ubuntu repositories (it should happen soon) it will start getting updates.

You also need to install firmware this can be done by

wget http://mirrors.kernel.org/ubuntu/pool/main/l/linux-firmware/linux-firmware_1.161_all.deb
sudo dpkg -i linux-firmware_1.161_all.deb
  • 1
    sudo add-apt-repository -r ppa:canonical-kernel-team/ppa sudo: unable to resolve host ambuj-pc This ppa is used for building pre-release and test kernels. It IS NOT RECOMMENDED that you subscribe to this PPA. More info: launchpad.net/~canonical-kernel-team/+archive/ubuntu/ppa Press [ENTER] to continue or ctrl-c to cancel removing it – Ambuj Dhakad Nov 10 '16 at 21:20
  • So press Enter. The PPA will be removed by the last command. – Pilot6 Nov 10 '16 at 21:20
  • it didn't worked after the booting , problem is still same.i followed the process – Ambuj Dhakad Nov 10 '16 at 21:30
  • You need the firmware. Install it and reboot again. – Pilot6 Nov 10 '16 at 21:31
  • It works for me. Just run the command. Do not type it. Copy and paste it to the terminal. – Pilot6 Nov 10 '16 at 21:35

protected by Community Nov 28 '17 at 21:00

Thank you for your interest in this question. Because it has attracted low-quality or spam answers that had to be removed, posting an answer now requires 10 reputation on this site (the association bonus does not count).

Would you like to answer one of these unanswered questions instead?

Not the answer you're looking for? Browse other questions tagged or ask your own question.